<?php
include 'conex.php';
header('Content-Type: application/json');

$id = intval($_POST['id'] ?? 0);
$monto = floatval($_POST['monto'] ?? 0);
$metodo = trim($_POST['metodo'] ?? '');

if ($id <= 0 || $monto <= 0 || $metodo == '') {
  echo json_encode(['success' => false, 'message' => 'Datos inválidos']);
  exit;
}

$stmt = $conex->prepare("INSERT INTO tb_pago_publicidad (id_publicidad, monto, metodo, fecha) VALUES (?, ?, ?, NOW())");
if ($stmt->execute([$id, $monto, $metodo])) {
  echo json_encode(['success' => true]);
} else {
  echo json_encode(['success' => false, 'message' => 'Error al guardar']);
}
